org.jboss.resteasy.spi.metadata

## Class ResourceBuilder.ResourceClassBuilder

- java.lang.Object
- - org.jboss.resteasy.spi.metadata.ResourceBuilder.ResourceClassBuilder

- Enclosing class:
    ResourceBuilder

      public static class ResourceBuilder.ResourceClassBuilder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceBuilder.ResourceClassBuilder(Class<?> root, String path)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResourceClass` | `buildClass()`
    `ResourceBuilder.ResourceConstructorBuilder` | `constructor(Constructor constructor)`
    `ResourceBuilder.FieldParameterBuilder` | `field(Field field)`
    `ResourceBuilder.ResourceLocatorBuilder` | `locator(Method method)`
    `ResourceBuilder.ResourceLocatorBuilder` | `locator(Method method, Method annotatedMethod)`
    `ResourceBuilder.ResourceMethodBuilder` | `method(Method method)`
    `ResourceBuilder.ResourceMethodBuilder` | `method(Method method, Method annotatedMethod)`
    `ResourceBuilder.SetterParameterBuilder` | `setter(Method method)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceBuilder.ResourceClassBuilder

          public ResourceBuilder.ResourceClassBuilder(Class<?> root,
                                              String path)

  - ### Method Detail

    - #### method

          public ResourceBuilder.ResourceMethodBuilder method(Method method)

    - #### method

          public ResourceBuilder.ResourceMethodBuilder method(Method method,
                                                     Method annotatedMethod)

    - #### locator

          public ResourceBuilder.ResourceLocatorBuilder locator(Method method)

    - #### locator

          public ResourceBuilder.ResourceLocatorBuilder locator(Method method,
                                                       Method annotatedMethod)

    - #### field

          public ResourceBuilder.FieldParameterBuilder field(Field field)

    - #### setter

          public ResourceBuilder.SetterParameterBuilder setter(Method method)

    - #### constructor

          public ResourceBuilder.ResourceConstructorBuilder constructor(Constructor constructor)

    - #### buildClass

          public ResourceClass buildClass()

Copyright © 2014. All Rights Reserved.